Modify

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#19744 closed defect (not_a_bug)

mount pendrive

Reported by: gacelweb@… Owned by: developers
Priority: normal Milestone:
Component: packages Version: Barrier Breaker 14.07
Keywords: Cc:

Description

I try to mount an usb pendrive, but i can't.
I use openwrt (Firmware Version OpenWrt Barrier Breaker 14.07-rc3 / LuCI Trunk (git-7a26a77)) in a comtrend ur-8357un router.
I have installed all the packages for usb (kmod-usb-core 3.10.49-1, kmod-usb-ohci 3.10.49-1, kmod-usb-storage 3.10.49-1, kmod-usb2 3.10.49-1).
I receive a message with dmesg:
FAT-fs (sda1): IO charset iso8859-1 not found

I thik the problem is iso8859-1 support (it is not installed).
I'm not able to install kmod-nls-iso8859-1:
opkg install kmod-nls-iso8859-1

I receive the message:
satisfy_dependencies_for: Cannot satisfy the following dependencies . . .

How can I fix it?

Thanks, fran

Attachments (0)

Change History (5)

comment:1 Changed 3 years ago by jow

  • Resolution set to not_a_bug
  • Status changed from new to closed

Update to the final release and make sure to use the proper repositories, you can find the stock opkg config in /rom/etc/opkg.conf

comment:2 Changed 3 years ago by gacelweb@…

  • Resolution not_a_bug deleted
  • Status changed from closed to reopened

I think I'm using the last release for the router Comtrend ar-5387un: Barrier Breaker 14.07-rc3 / LuCI Trunk (git-7a26a77)

The repository is:
http://downloads.openwrt.org/barrier_breaker/14.07-rc3/brcm63xx/generic/packages/

I can get a lot of packages, except kmod-nls-iso8859-1.

Can I use other repository?

Regards, fran

comment:3 Changed 3 years ago by nbd

  • Resolution set to not_a_bug
  • Status changed from reopened to closed

14.07-rc3 is not the latest release, 14.07 is

comment:5 Changed 3 years ago by gacelweb@…

Thanks a lot for the links.
I use the stable 14.07 (​https://downloads.openwrt.org/barrier_breaker/14.07/brcm63xx/generic/openwrt-AR-5387un-squashfs-cfe.bin)

I answer myself:
I have removed the kmod-nls-iso8859-15 package and later i have installed the kmod-nls-iso8859-1 package and it has worked.

Now I can mount a pendrive (with fat system file) in the usb port:
# mkdir /mnt/sda1
# mount -t vfat /dev/sda1 /mnt/sda1

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.